system.class ='mlnorm<chmat>';
system.A     = [1 1 1];
system.const = [0];
system.R     = [1];
system.rvc   = RV({'y','u1','u2'},[1,1,1],[-1,0,0]);
system.rv    = RV({'y'},[1],[0]);

params.Qy    = 1;
params.Qu    = [1 0; 0 1];
params.yr    = 1;
params.horizon = 10;

[L,rvc]=lqg_redesign(system,params);